# Uses of Interface
org.apache.commons.math3.geometry.partitioning.Hyperplane

Packages that use Hyperplane
Package
Description
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of Hyperplane in org.apache.commons.math3.geometry.euclidean.oned

Classes in org.apache.commons.math3.geometry.euclidean.oned that implement Hyperplane
Modifier and Type
Class
Description
`class`
`OrientedPoint`
This class represents a 1D oriented hyperplane.
Methods in org.apache.commons.math3.geometry.euclidean.oned with parameters of type Hyperplane
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean1D,Euclidean1D>`
SubOrientedPoint.`buildNew(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`boolean`
OrientedPoint.`sameOrientationAs(Hyperplane<Euclidean1D> other)`
Check if the instance has the same orientation as another hyperplane.
`SubHyperplane.SplitSubHyperplane<Euclidean1D>`
SubOrientedPoint.`split(Hyperplane<Euclidean1D> hyperplane)`
Split the instance in two parts by an hyperplane.
Constructors in org.apache.commons.math3.geometry.euclidean.oned with parameters of type Hyperplane
Modifier
Constructor
Description
``
`SubOrientedPoint(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)`
Simple constructor.

## Uses of Hyperplane in org.apache.commons.math3.geometry.euclidean.threed

Classes in org.apache.commons.math3.geometry.euclidean.threed that implement Hyperplane
Modifier and Type
Class
Description
`class`
`Plane`
The class represent planes in a three dimensional space.
Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Hyperplane
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean3D,Euclidean2D>`
SubPlane.`buildNew(Hyperplane<Euclidean3D> hyperplane, Region<Euclidean2D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`boolean`
Plane.`sameOrientationAs(Hyperplane<Euclidean3D> other)`
Check if the instance has the same orientation as another hyperplane.
`SubHyperplane.SplitSubHyperplane<Euclidean3D>`
SubPlane.`split(Hyperplane<Euclidean3D> hyperplane)`
Split the instance in two parts by an hyperplane.
Constructors in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Hyperplane
Modifier
Constructor
Description
``
`SubPlane(Hyperplane<Euclidean3D> hyperplane, Region<Euclidean2D> remainingRegion)`
Simple constructor.

## Uses of Hyperplane in org.apache.commons.math3.geometry.euclidean.twod

Classes in org.apache.commons.math3.geometry.euclidean.twod that implement Hyperplane
Modifier and Type
Class
Description
`class`
`Line`
This class represents an oriented line in the 2D plane.
Methods in org.apache.commons.math3.geometry.euclidean.twod with parameters of type Hyperplane
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean2D,Euclidean1D>`
SubLine.`buildNew(Hyperplane<Euclidean2D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`boolean`
Line.`sameOrientationAs(Hyperplane<Euclidean2D> other)`
Check if the instance has the same orientation as another hyperplane.
`SubHyperplane.SplitSubHyperplane<Euclidean2D>`
SubLine.`split(Hyperplane<Euclidean2D> hyperplane)`
Split the instance in two parts by an hyperplane.
Constructors in org.apache.commons.math3.geometry.euclidean.twod with parameters of type Hyperplane
Modifier
Constructor
Description
``
`SubLine(Hyperplane<Euclidean2D> hyperplane, Region<Euclidean1D> remainingRegion)`
Simple constructor.

## Uses of Hyperplane in org.apache.commons.math3.geometry.partitioning

Methods in org.apache.commons.math3.geometry.partitioning that return Hyperplane
Modifier and Type
Method
Description
`Hyperplane<S>`
Transform.`apply(Hyperplane<S> hyperplane)`
Transform an hyperplane of a space.
`Hyperplane<S>`
Hyperplane.`copySelf()`
Copy the instance.
`Hyperplane<S>`
AbstractSubHyperplane.`getHyperplane()`
Get the underlying hyperplane.
`Hyperplane<S>`
SubHyperplane.`getHyperplane()`
Get the underlying hyperplane.
Methods in org.apache.commons.math3.geometry.partitioning with parameters of type Hyperplane
Modifier and Type
Method
Description
`Hyperplane<S>`
Transform.`apply(Hyperplane<S> hyperplane)`
Transform an hyperplane of a space.
`SubHyperplane<T>`
Transform.`apply(SubHyperplane<T> sub, Hyperplane<S> original, Hyperplane<S> transformed)`
Transform a sub-hyperplane embedded in an hyperplane.
`Region<S>`
RegionFactory.`buildConvex(Hyperplane<S>... hyperplanes)`
Build a convex region from a collection of bounding hyperplanes.
`protected abstract AbstractSubHyperplane<S,T>`
AbstractSubHyperplane.`buildNew(Hyperplane<S> hyper, Region<T> remaining)`
Build a sub-hyperplane from an hyperplane and a region.
`boolean`
BSPTree.`insertCut(Hyperplane<S> hyperplane)`
Insert a cut sub-hyperplane in a node.
`boolean`
Hyperplane.`sameOrientationAs(Hyperplane<S> other)`
Check if the instance has the same orientation as another hyperplane.
`Side`
AbstractRegion.`side(Hyperplane<S> hyperplane)`
Deprecated.
`Side`
AbstractSubHyperplane.`side(Hyperplane<S> hyper)`
Deprecated.
`Side`
Region.`side(Hyperplane<S> hyperplane)`
Deprecated.
as of 3.6, this method which was only intended for internal use is not used anymore
`Side`
SubHyperplane.`side(Hyperplane<S> hyperplane)`
Deprecated.
as of 3.6, replaced with `SubHyperplane.split(Hyperplane)`.`SubHyperplane.SplitSubHyperplane.getSide()`
`abstract SubHyperplane.SplitSubHyperplane<S>`
AbstractSubHyperplane.`split(Hyperplane<S> hyper)`
Split the instance in two parts by an hyperplane.
`SubHyperplane.SplitSubHyperplane<S>`
SubHyperplane.`split(Hyperplane<S> hyperplane)`
Split the instance in two parts by an hyperplane.
Constructors in org.apache.commons.math3.geometry.partitioning with parameters of type Hyperplane
Modifier
Constructor
Description
``
`AbstractRegion(Hyperplane<S>[] hyperplanes, double tolerance)`
Build a convex region from an array of bounding hyperplanes.
`protected`
`AbstractSubHyperplane(Hyperplane<S> hyperplane, Region<T> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.

## Uses of Hyperplane in org.apache.commons.math3.geometry.spherical.oned

Classes in org.apache.commons.math3.geometry.spherical.oned that implement Hyperplane
Modifier and Type
Class
Description
`class`
`LimitAngle`
This class represents a 1D oriented hyperplane on the circle.
Methods in org.apache.commons.math3.geometry.spherical.oned with parameters of type Hyperplane
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Sphere1D,Sphere1D>`
SubLimitAngle.`buildNew(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`boolean`
LimitAngle.`sameOrientationAs(Hyperplane<Sphere1D> other)`
Check if the instance has the same orientation as another hyperplane.
`SubHyperplane.SplitSubHyperplane<Sphere1D>`
SubLimitAngle.`split(Hyperplane<Sphere1D> hyperplane)`
Split the instance in two parts by an hyperplane.
Constructors in org.apache.commons.math3.geometry.spherical.oned with parameters of type Hyperplane
Modifier
Constructor
Description
``
`SubLimitAngle(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Simple constructor.

## Uses of Hyperplane in org.apache.commons.math3.geometry.spherical.twod

Classes in org.apache.commons.math3.geometry.spherical.twod that implement Hyperplane
Modifier and Type
Class
Description
`class`
`Circle`
This class represents an oriented great circle on the 2-sphere.
Methods in org.apache.commons.math3.geometry.spherical.twod with parameters of type Hyperplane
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Sphere2D,Sphere1D>`
SubCircle.`buildNew(Hyperplane<Sphere2D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`boolean`
Circle.`sameOrientationAs(Hyperplane<Sphere2D> other)`
Check if the instance has the same orientation as another hyperplane.
`SubHyperplane.SplitSubHyperplane<Sphere2D>`
SubCircle.`split(Hyperplane<Sphere2D> hyperplane)`
Split the instance in two parts by an hyperplane.
Constructors in org.apache.commons.math3.geometry.spherical.twod with parameters of type Hyperplane
Modifier
Constructor
Description
``
`SubCircle(Hyperplane<Sphere2D> hyperplane, Region<Sphere1D> remainingRegion)`
Simple constructor.